Bug 413521 - can't see current day in dark mode
Summary: can't see current day in dark mode
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Applications
Component: monthview (show other bugs)
Version: 5.11.3
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords: accessibility
Depends on:
Blocks:
 
Reported: 2019-10-27 15:23 UTC by Aaron Oldenburg
Modified: 2019-11-16 15:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.13.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron Oldenburg 2019-10-27 15:23:42 UTC
SUMMARY

My system is currently using a dark them (Nordic, but works the same for other dark themes). When Korg is set to Use System Color, the background for the current day in main Month view (not the tiny sidebar) is the same as other days, making it impossible to distinguish. In default light mode, the background is darker than the other days, making it stand out.


STEPS TO REPRODUCE
1. Set main KDE theme to dark
2. Make Korg Use System Color under Configure -> Colors
3. Try to find today's date in Month view

OBSERVED RESULT

You can't find it just by using the main month view.

EXPECTED RESULT

Current day should be a slightly different color.

SOFTWARE/OS VERSIONS
Kubuntu: 19.10
(available in About System)
KDE Plasma Version: 5.16.5
KDE Frameworks Version: 5.62.0
Qt Version: 5.12.4

ADDITIONAL INFORMATION
Comment 1 Christophe Giboudeaux 2019-11-11 13:35:05 UTC
Can you post a screenshot? I don't see what's wrong with the "dark" theme I use (krita darker)
Comment 2 Allen Winter 2019-11-11 17:33:43 UTC
I confirm this.  in dark mode I suppose we need to make the current day a lighter color than the other days.
Comment 3 Allen Winter 2019-11-11 17:35:58 UTC
developer notes:
the offending code is in MonthGraphicsView::drawBackground()
i.e. this:
        if (cell == mScene->selectedCell()) {
            color = color.darker(115);
        }
        if (cell->date() == QDate::currentDate()) {
            color = color.darker(140);
Comment 4 Allen Winter 2019-11-11 18:06:46 UTC
I have a patch under review at https://phabricator.kde.org/D25262
Comment 5 Allen Winter 2019-11-16 15:18:08 UTC
Git commit 614f757286cb3611cfb922fa0d4cc1378ee6e7b4 by Allen Winter.
Committed on 16/11/2019 at 15:12.
Pushed by winterz into branch 'master'.

Month View: background color computation for dark mode theme
FIXED-IN: 5.13.0

Differential Revision: https://phabricator.kde.org/D25262

M  +7    -2    src/helper.cpp
M  +9    -0    src/helper.h
M  +6    -3    src/month/monthscene.cpp

https://commits.kde.org/eventviews/614f757286cb3611cfb922fa0d4cc1378ee6e7b4